msgpack::detail::context< VisitorHolder > Class Template Reference

`#include <unpack.hpp>`

Inheritance diagram for msgpack::detail::context< VisitorHolder >:

## Public Member Functions

| context (unpack_reference_func f, void *user_data, unpack_limit const &limit)
void | init ()
msgpack::object const & | data () const
unpack_user & | user ()
unpack_user const & | user () const
int | execute (const char *data, std::size_t len, std::size_t &off)
| context ()
void | init ()
parse_return | execute (const char *data, std::size_t len, std::size_t &off)
template<>
void | check_ext_size (std::size_t size)

## Constructor & Destructor Documentation

## context() [1/2]

template<typename VisitorHolder>

msgpack::detail::context< VisitorHolder >::context | ( | unpack_reference_func | f,
|  | void * | user_data,
|  | unpack_limit const & | limit
| ) |  |

inline

## context() [2/2]

template<typename VisitorHolder>

msgpack::detail::context< VisitorHolder >::context | ( |  | ) |

inline

## Member Function Documentation

## check_ext_size()

template<typename VisitorHolder>
template<>

void msgpack::detail::context< VisitorHolder >::check_ext_size | ( | std::size_t | size | ) |

inline

## data()

template<typename VisitorHolder>

msgpack::object const& msgpack::detail::context< VisitorHolder >::data | ( |  | ) | const

inline

Referenced by msgpack::detail::check_ext_size< 4 >(), msgpack::unpacker::data(), msgpack::detail::context< unpacker >::init(), and msgpack::detail::unpack_imp().

## execute() [1/2]

template<typename VisitorHolder>

parse_return msgpack::detail::context< VisitorHolder >::execute | ( | const char * | data,
|  | std::size_t | len,
|  | std::size_t & | off
| ) |  |

## execute() [2/2]

template<typename VisitorHolder >

parse_return msgpack::detail::context< VisitorHolder >::execute | ( | const char * | data,
|  | std::size_t | len,
|  | std::size_t & | off
| ) |  |

inline

Referenced by msgpack::detail::check_ext_size< 4 >(), msgpack::unpacker::execute(), msgpack::detail::context< unpacker >::init(), and msgpack::detail::unpack_imp().

## init() [1/2]

template<typename VisitorHolder>

void msgpack::detail::context< VisitorHolder >::init | ( |  | ) |

inline

## init() [2/2]

template<typename VisitorHolder>

void msgpack::detail::context< VisitorHolder >::init | ( |  | ) |

inline

Referenced by msgpack::unpacker::reset(), msgpack::detail::unpack_imp(), and msgpack::unpacker::unpacker().

## user() [1/2]

template<typename VisitorHolder>

unpack_user& msgpack::detail::context< VisitorHolder >::user | ( |  | ) |

inline

Referenced by msgpack::unpacker::next(), msgpack::unpacker::release_zone(), msgpack::unpacker::reserve_buffer(), msgpack::unpacker::reset_zone(), msgpack::detail::unpack_imp(), and msgpack::unpacker::unpacker().

## user() [2/2]

template<typename VisitorHolder>

unpack_user const& msgpack::detail::context< VisitorHolder >::user | ( |  | ) | const

inline

The documentation for this class was generated from the following files:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/unpack.hpp
- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v2/parse.hpp